Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041310
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 08. Project and service managementmajorhave not tried2019-07-06 01:312019-08-22 14:44
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision4370454f15c2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041310: Apply HQL style guide to ReportProjectProfitabilityJR

DescriptionApply HQL style guide to ReportProjectProfitabilityJR
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
has duplicate defect 0041342 closedTriage Finance Apply new HQL Style to HQL in ReportProjectProfitabilityJR 

-  Notes
(0113459)
AtulOpenbravo (developer)
2019-07-16 21:01

Test Plan

- Create a new Project Type
  Name: Test Project Type
  Project Category: Multi Phase Project
- Create a Project Phase under the type
  Name: Project Phase I
  Product: Choose any product
  Standard Quantity: 1000
- Create a Standard Task under the Phase
  Name: Project Phase I Task I
  Product: choose any product
  Quantity: 1000
- Navigate to Multiphase Project window and create one record
  Search Key: Test Project 1
  Name: Project I
  Starting Date:01-01-2018
  Planned End Date:31-12-2019
  Sales Representative: Javier Martín
  Person Incharge:Javier Martín
- In Amounts section fill the details as below
  Legally Binging Contract = Yes
  Contract Amount: 1000,000
  Contract Qty: 1
  Service Revenue:500,000
  Planned Expenses:500,000
  Services Provided Cost: 500,000
  Outsourced Cost: 200,000
  Total Service Cost: 250,000
  Reinvoiced Expenses: 625,000
  Planned Service Margin: 50%
  Planned Expenses MArgin: 20%
- In More Information section
  Business Partner: Hoteles Buenas Noches, S.A.
  Other fields revelant to selected business partner, i.e Address, Payment Term, Price List etc
- Set Project Type to Test Project Type
- Realize that Project Phase and Project Task are created from Type selected
- Change Project Status to Order.
- Navigate tp Project Profitability report and apply all the filters
  From Project Starting Date: 01-01-2018
  To Project Starting Date: 31-12-2019
  From Project Contract Date: 01-01-2018
  To Project Contract Date : 31-12-2019
  From Date: 01-01-2018
  To Date: 31-12-2019
  Business Partner: Hoteles Buenas Noches, S.A.
  Person Incharge: Javier Martin
  Project Type: Test Project Type
  Currency: USD

- Click on HTML Format
- Realize that project information is shown and query is executed properly after the change.
  To Date:
(0113460)
AtulOpenbravo (developer)
2019-07-16 21:03

Log information of the query and its binding parameters:

SELECT uom0_.C_UOM_ID AS C_UOM_ID1_294_,
       uom0_.AD_Client_ID AS AD_Clien2_294_,
       uom0_.AD_Org_ID AS AD_Org_I3_294_,
       uom0_.IsActive AS IsActive4_294_,
       uom0_.Created AS Created5_294_,
       uom0_.Updated AS Updated6_294_,
       uom0_.CreatedBy AS CreatedB7_294_,
       uom0_.UpdatedBy AS UpdatedB8_294_,
       uom0_.X12DE355 AS X9_294_,
       uom0_.UOMSymbol AS UOMSymb10_294_,
       uom0_.Name AS Name11_294_,
       uom0_.Description AS Descrip12_294_,
       uom0_.StdPrecision AS StdPrec13_294_,
       uom0_.CostingPrecision AS Costing14_294_,
       uom0_.IsDefault AS IsDefau15_294_,
       uom0_.Breakdown AS Breakdo16_294_,
       uom0_.UOM_Type AS UOM_Typ17_294_,
       uom0_.Useinproduction AS Useinpr18_294_
FROM C_UOM uom0_
WHERE (EXISTS
         (SELECT 1
          FROM S_TimeExpenseLine timeandexp1_
          INNER JOIN S_TimeExpense timeandexp2_ ON timeandexp1_.S_TimeExpense_ID=timeandexp2_.S_TimeExpense_ID
          LEFT OUTER JOIN C_Project project3_ ON timeandexp1_.C_Project_ID=project3_.C_Project_ID
          WHERE timeandexp1_.IsTimeReport='Y'
            AND timeandexp1_.C_UOM_ID=uom0_.C_UOM_ID
            AND timeandexp1_.C_UOM_ID<>'101'
            AND timeandexp2_.Processed='Y'
            AND project3_.C_Project_ID=?
            AND (project3_.AD_Org_ID IN (?,
                                         ?,
                                         ?))
            AND project3_.Responsible_ID=?
            AND project3_.C_BPartner_ID=?
            AND timeandexp2_.DateReport>=?
            AND timeandexp2_.DateReport<=?
            AND project3_.Startdate>=?
            AND project3_.Startdate<?
            AND project3_.DateContract>=?
            AND project3_.DateContract<?))
  AND NOT (EXISTS
             (SELECT 1
              FROM C_UOM_Conversion uomconvers4_
              WHERE uomconvers4_.C_UOM_ID=uom0_.C_UOM_ID
                AND uomconvers4_.C_UOM_To_ID='101'))
  AND (uom0_.AD_Org_ID IN (?,
                           ?,
                           ?,
                           ?,
                           ?,
                           ?,
                           ?,
                           ?))
  AND (uom0_.AD_Client_ID IN (?,
                              ?))
  AND uom0_.IsActive='Y'

binding parameter [1] as [VARCHAR] - [567A97FEAA404FA8A7BEA587D9829FA7]
binding parameter [2] as [VARCHAR] - [E443A31992CB4635AFCAEABE7183CE85]
binding parameter [3] as [VARCHAR] - [B843C30461EA4501935CB1D125C9C25A]
binding parameter [4] as [VARCHAR] - [DC206C91AA6A4897B44DA897936E0EC3]
binding parameter [5] as [VARCHAR] - [8BD636D3BF7047F3A1ADA430D69EC033]
binding parameter [6] as [VARCHAR] - [9E6850C866BD4921AD0EB7F7796CE2C7]
binding parameter [7] as [TIMESTAMP] - [Mon Jan 01 00:00:00 IST 2018]
binding parameter [8] as [TIMESTAMP] - [Tue Dec 31 00:00:00 IST 2019]
binding parameter [9] as [TIMESTAMP] - [Mon Jan 01 00:00:00 IST 2018]
binding parameter [10] as [TIMESTAMP] - [Tue Dec 31 00:00:00 IST 2019]
binding parameter [11] as [TIMESTAMP] - [Mon Jan 01 00:00:00 IST 2018]
binding parameter [12] as [TIMESTAMP] - [Tue Dec 31 00:00:00 IST 2019]
binding parameter [13] as [VARCHAR] - [0]
binding parameter [14] as [VARCHAR] - [E443A31992CB4635AFCAEABE7183CE85]
binding parameter [15] as [VARCHAR] - [B843C30461EA4501935CB1D125C9C25A]
binding parameter [16] as [VARCHAR] - [BAE22373FEBE4CCCA24517E23F0C8A48]
binding parameter [17] as [VARCHAR] - [DC206C91AA6A4897B44DA897936E0EC3]
binding parameter [18] as [VARCHAR] - [2E60544D37534C0B89E765FE29BC0B43]
binding parameter [19] as [VARCHAR] - [19404EAD144C49A0AF37D54377CF452D]
binding parameter [20] as [VARCHAR] - [7BABA5FF80494CAFA54DEBD22EC46F01]
binding parameter [21] as [VARCHAR] - [23C59575B9CF467C9620760EB255B389]
binding parameter [22] as [VARCHAR] - [0]
(0113469)
hgbot (developer)
2019-07-17 11:26

Repository: erp/devel/pi
Changeset: 4370454f15c270ad6773d076c68cce3712ba517c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 16 09:12:17 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4370454f15c270ad6773d076c68cce3712ba517c [^]

Fixes Issue 41310:Apply HQL style guide to ReportProjectProfitabilityJR

Applied new HQL Style as per guideline

---
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProfitabilityJR.java
---
(0113473)
dmiguelez (developer)
2019-07-17 11:26

Code Review + Testing Ok
(0114155)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-06 01:31 collazoandy4 New Issue
2019-07-06 01:31 collazoandy4 Assigned To => Triage Finance
2019-07-06 01:31 collazoandy4 Modules => Core
2019-07-06 01:31 collazoandy4 Triggers an Emergency Pack => No
2019-07-06 01:31 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-06 01:31 collazoandy4 Status new => scheduled
2019-07-06 01:32 collazoandy4 Relationship added related to 0041287
2019-07-15 15:20 AtulOpenbravo Relationship added has duplicate 0041342
2019-07-16 21:01 AtulOpenbravo Note Added: 0113459
2019-07-16 21:03 AtulOpenbravo Note Added: 0113460
2019-07-17 11:26 hgbot Checkin
2019-07-17 11:26 hgbot Note Added: 0113469
2019-07-17 11:26 hgbot Status scheduled => resolved
2019-07-17 11:26 hgbot Resolution open => fixed
2019-07-17 11:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4370454f15c270ad6773d076c68cce3712ba517c [^]
2019-07-17 11:26 dmiguelez Review Assigned To => dmiguelez
2019-07-17 11:26 dmiguelez Note Added: 0113473
2019-07-17 11:26 dmiguelez Status resolved => closed
2019-07-17 11:26 dmiguelez Fixed in Version => 3.0PR19Q4
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114155


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker